import subprocess
import os
from .base_parser import BaseParser
from .docx_parser import DOCXParser

"""
doc文件解析器,由于包的依赖问题，暂时不用
"""
class DOCParser(BaseParser):

    def convert_doc_to_docx(self, file_path):
        docx_file_path = file_path.replace(".doc", ".docx")
        subprocess.run(["unoconv", "-f", "docx", "--output", docx_file_path, file_path], check=True)
        print(f"文件已成功从 {file_path} 转换为 {docx_file_path}")
        return docx_file_path

    def parser(self, file_path) -> str:
        """
        解析doc文件
        """
        docx_file_path = self.convert_doc_to_docx(file_path)
        docx = DOCXParser()
        content_list = docx.parser_docx(docx_file_path)

        os.remove(docx_file_path)
        return content_list


if __name__ == '__main__':
    docx = DOCParser()
    para = docx.parser('/home/kylin/wangyan/111.doc')
    print(para)