import multiprocessing
import logging

class ProcessManager:
    def __init__(self):
        logging.basicConfig(level=logging.INFO)

    def run_process(self, target, args):
        pool = multiprocessing.Pool()
        async_result = pool.apply_async()
        file_path, result = async_result.get()
        pool.close()
        pool.join()
        # process = multiprocessing.Pool(target=target, args=args)
        return async_result
