import json
from .base_parser import BaseParser

class JSONParser(BaseParser):

    def parser(self, file_path) -> str:
        with open(file_path, 'r', encoding='utf-8') as file:
            data = json.load(file)
            return data


if __name__ == '__main__':
    image_parser = JSONParser()
    text = image_parser.parser('/home/kylin/wangyan/test-search/用户手册.json')
    print(text)
